Bug 850011 - Caching improvements for virtual machine image store
Caching improvements for virtual machine image store
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
mainline
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: shishir gowda
:
Depends On:
Blocks: 856465
  Show dependency treegraph
 
Reported: 2012-08-21 09:13 EDT by Vidya Sakar
Modified: 2013-12-08 20:33 EST (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 856465 (view as bug list)
Environment:
Last Closed: 2013-07-24 14:03:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vidya Sakar 2012-08-21 09:13:54 EDT
Placeholder BZ for caching improvements we could do to improve virtual machine image store performance.
Comment 1 Amar Tumballi 2012-12-24 04:34:50 EST
The below changes are been done:

* a gluster volume set <> group virt (which would disable not required xlators)
* better re-structuring of write-behind
* a way to handle O_DIRECT separately in write-behind and in client protocol.
* proper mtime update in distribute translator so the caching based on mtime in application is not invalidated.

All other caching is done by guest at the moment.

Note You need to log in before you can comment on or make changes to this bug.